org.keycloak.models

## Class OAuth2DeviceCodeModel

- java.lang.Object
- - org.keycloak.models.OAuth2DeviceCodeModel

-     public class OAuth2DeviceCodeModel
      extends Object

  Author:
    Hiroyuki Wada

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OAuth2DeviceCodeModel` | `approve(String userSessionId)`
    `OAuth2DeviceCodeModel` | `approve(String userSessionId, Map<String,String> additionalParams)`
    `static OAuth2DeviceCodeModel` | `create(RealmModel realm, ClientModel client, String deviceCode, String scope, String nonce, int expiresIn, int pollingInterval, String clientNotificationToken, String authReqId, Map<String,String> additionalParams)`
    `static String` | `createKey(String deviceCode)`
    `OAuth2DeviceCodeModel` | `deny()`
    `static OAuth2DeviceCodeModel` | `fromCache(RealmModel realm, String deviceCode, Map<String,String> data)`
    `Map<String,String>` | `getAdditionalParams()`
    `String` | `getAuthReqId()`
    `String` | `getClientId()`
    `String` | `getClientNotificationToken()`
    `String` | `getDeviceCode()`
    `int` | `getExpiration()`
    `String` | `getNonce()`
    `javax.ws.rs.core.MultivaluedMap<String,String>` | `getParams()`
    `int` | `getPollingInterval()`
    `String` | `getScope()`
    `String` | `getUserSessionId()`
    `boolean` | `isDenied()`
    `boolean` | `isExpired()`
    `boolean` | `isPending()`
    `String` | `serializeKey()`
    `String` | `serializePollingKey()`
    `Map<String,String>` | `toMap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static OAuth2DeviceCodeModel create(RealmModel realm,
                                                     ClientModel client,
                                                     String deviceCode,
                                                     String scope,
                                                     String nonce,
                                                     int expiresIn,
                                                     int pollingInterval,
                                                     String clientNotificationToken,
                                                     String authReqId,
                                                     Map<String,String> additionalParams)

    - #### approve

          public OAuth2DeviceCodeModel approve(String userSessionId)

    - #### approve

          public OAuth2DeviceCodeModel approve(String userSessionId,
                                               Map<String,String> additionalParams)

    - #### deny

          public OAuth2DeviceCodeModel deny()

    - #### fromCache

          public static OAuth2DeviceCodeModel fromCache(RealmModel realm,
                                                        String deviceCode,
                                                        Map<String,String> data)

    - #### getDeviceCode

          public String getDeviceCode()

    - #### getScope

          public String getScope()

    - #### getNonce

          public String getNonce()

    - #### getExpiration

          public int getExpiration()

    - #### getPollingInterval

          public int getPollingInterval()

    - #### getClientNotificationToken

          public String getClientNotificationToken()

    - #### getAuthReqId

          public String getAuthReqId()

    - #### getClientId

          public String getClientId()

    - #### isPending

          public boolean isPending()

    - #### isDenied

          public boolean isDenied()

    - #### getUserSessionId

          public String getUserSessionId()

    - #### createKey

          public static String createKey(String deviceCode)

    - #### serializeKey

          public String serializeKey()

    - #### serializePollingKey

          public String serializePollingKey()

    - #### toMap

          public Map<String,String> toMap()

    - #### getParams

          public javax.ws.rs.core.MultivaluedMap<String,String> getParams()

    - #### getAdditionalParams

          public Map<String,String> getAdditionalParams()

    - #### isExpired

          public boolean isExpired()

Copyright © 2021 JBoss by Red Hat. All rights reserved.